Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459177 - Review Request: python-peak-rules - Generic functions and business rules support systems
Summary: Review Request: python-peak-rules - Generic functions and business rules supp...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 459172 459173 459175 459176
Blocks: 459117 459157 459195
TreeView+ depends on / blocked
 
Reported: 2008-08-14 20:00 UTC by Luke Macken
Modified: 2016-09-20 02:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-09 21:28:48 UTC
Type: ---
rcritten: fedora-review+


Attachments (Terms of Use)

Description Luke Macken 2008-08-14 20:00:58 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-peak-rules.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-peak-rules-0.5a1.dev-0.2569.fc9.src.rpm
Description:
SymbolType gives you access to the peak.util.symbols module, previously
available only by installing the full PEAK toolkit. peak.util.symbols provides
a Symbol type and two built-in symbols that are used by PEAK: NOT_FOUND and
NOT_GIVEN.

Comment 1 Rob Crittenden 2008-08-14 22:39:48 UTC
rpmlint complains that the license is unknown. The spec defines it as PSF or ZPL.

The possiblilities for ZPL are:  ZPLv1.0, ZPLv1.0+, ZPLv2.0, ZPLv2.0+, ZPLv2.1, or ZPLv2.1+
Is PSF the Python license?

The %doc files all have executable permissions!? (e.g. /usr/share/doc/python-peak-rules-0.5a1.dev/Indexing.txt)

The changelog version doesn't match the RPM version:  1.0-1 vs 0.5a1.dev-0.2569

The Source0 URL is incorrect. I found it at http://peak.telecommunity.com/snapshots/

Comment 2 Luke Macken 2008-08-14 23:13:58 UTC
(In reply to comment #1)
> rpmlint complains that the license is unknown. The spec defines it as PSF or
> ZPL.
> 
> The possiblilities for ZPL are:  ZPLv1.0, ZPLv1.0+, ZPLv2.0, ZPLv2.0+, ZPLv2.1,
> or ZPLv2.1+
> Is PSF the Python license?

I believe so, yes.  I'm not quite sure about what to do with the License tag, as it says "PSF or ZPL" in the docs...

> The %doc files all have executable permissions!? (e.g.
> /usr/share/doc/python-peak-rules-0.5a1.dev/Indexing.txt)

Fixed.

> The changelog version doesn't match the RPM version:  1.0-1 vs 0.5a1.dev-0.2569

Fixed.

> The Source0 URL is incorrect. I found it at
> http://peak.telecommunity.com/snapshots/

Fixed.

http://lmacken.fedorapeople.org/rpms/python-peak-rules.spec
http://lmacken.fedorapeople.org/rpms/python-peak-rules-0.5a1.dev-0.2569.fc9.src.rpm

Comment 3 Rob Crittenden 2008-08-15 03:15:08 UTC
From what I can tell from http://www.python.org/psf/license/ PSF is Python Software Foundation so using "Python" seems the right thing for PSF.

ZPL is defined at http://www.zope.org/Resources/ZPL but you'd need to ask the author which version he wants to use.

Comment 4 Jason Tibbitts 2008-08-15 17:58:10 UTC
BTW, I confirmed with spot that we can't assume a ZPL version and need to ask upstream to clarify.

Comment 5 Luke Macken 2008-08-27 00:21:12 UTC
To quote upstream author, Phillip J. Eby:

"ZPL 2.1; see http://www.zope.org/Resources/ZPL"

Comment 7 Rob Crittenden 2008-09-04 15:05:15 UTC
The license is ok now and the package builds and passes rpmlint but will not install due to missing dependencies:

        python-peak-util-addons >= 0.6 is needed by python-peak-rules-0.5a1.dev-0.2569.fc10.noarch
        python-peak-util-assembler >= 0.3 is needed by python-peak-rules-0.5a1.dev-0.2569.fc10.noarch
        python-peak-util-extremes >= 1.1 is needed by python-peak-rules-0.5a1.dev-0.2569.fc10.noarch

These aren't found in the F10 repo either.

Comment 8 Luke Macken 2008-09-06 05:20:32 UTC
(In reply to comment #7)
> The license is ok now and the package builds and passes rpmlint but will not
> install due to missing dependencies:
> 
>         python-peak-util-addons >= 0.6 is needed by
> python-peak-rules-0.5a1.dev-0.2569.fc10.noarch
>         python-peak-util-assembler >= 0.3 is needed by
> python-peak-rules-0.5a1.dev-0.2569.fc10.noarch
>         python-peak-util-extremes >= 1.1 is needed by
> python-peak-rules-0.5a1.dev-0.2569.fc10.noarch
> 
> These aren't found in the F10 repo either.

Yep -- all of the review requests are dependencies of this bug.

Comment 9 Rob Crittenden 2008-09-08 14:37:47 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for RPM
- Source0 is still incorrect
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License not included in source, not in rpm either.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears consistent.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.

APPROVED if you fix the Source0 before committing the package.

I built and installed the missing dependencies and was able to use tg-admin to quickstart a new project and verified that it started and served at least the root page.

Comment 10 Luke Macken 2008-09-08 21:33:59 UTC
New Package CVS Request
=======================
Package Name: python-peak-rules
Short Description: Generic functions and business rules support systems
Owners: lmacken
Branches: F-8 F-9 EL-4 EL-5

Comment 11 Kevin Fenzi 2008-09-09 23:43:28 UTC
cvs done.

Comment 12 Fedora Update System 2008-09-18 07:39:02 UTC
python-peak-util-assembler-0.5-1.fc8,python-peak-util-extremes-1.1-1.fc8,python-peak-util-addons-0.6-1.fc8,python-peak-rules-0.5a1.dev-0.2569.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/python-peak-util-assembler-0.5-1.fc8,python-peak-util-extremes-1.1-1.fc8,python-peak-util-addons-0.6-1.fc8,python-peak-rules-0.5a1.dev-0.2569.fc8

Comment 13 Fedora Update System 2008-09-18 07:39:13 UTC
python-peak-util-symbols-1.0-1.fc9,python-peak-util-assembler-0.5-1.fc9,python-peak-util-extremes-1.1-1.fc9,python-peak-util-addons-0.6-1.fc9,python-peak-rules-0.5a1.dev-0.2569.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-peak-util-symbols-1.0-1.fc9,python-peak-util-assembler-0.5-1.fc9,python-peak-util-extremes-1.1-1.fc9,python-peak-util-addons-0.6-1.fc9,python-peak-rules-0.5a1.dev-0.2569.fc9

Comment 14 Fedora Update System 2008-09-25 00:11:43 UTC
python-peak-util-symbols-1.0-1.fc9, python-peak-util-assembler-0.5-1.fc9, python-peak-util-extremes-1.1-1.fc9, python-peak-util-addons-0.6-1.fc9, python-peak-rules-0.5a1.dev-0.2569.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-peak-util-symbols python-peak-util-assembler python-peak-util-extremes python-peak-util-addons python-peak-rules'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8247

Comment 15 Fedora Update System 2008-09-25 00:27:43 UTC
python-peak-util-assembler-0.5-1.fc8, python-peak-util-extremes-1.1-1.fc8, python-peak-util-addons-0.6-1.fc8, python-peak-rules-0.5a1.dev-0.2569.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-peak-util-assembler python-peak-util-extremes python-peak-util-addons python-peak-rules'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8369

Comment 16 Fedora Update System 2008-10-01 06:33:57 UTC
python-peak-util-assembler-0.5-1.fc8, python-peak-util-extremes-1.1-1.fc8, python-peak-util-addons-0.6-1.fc8, python-peak-rules-0.5a1.dev-0.2569.fc8, python-peak-util-symbols-1.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-peak-util-assembler python-peak-util-extremes python-peak-util-addons python-peak-rules python-peak-util-symbols'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8369

Comment 17 Fedora Update System 2008-10-09 21:28:37 UTC
python-peak-util-assembler-0.5-1.fc8, python-peak-util-extremes-1.1-1.fc8, python-peak-util-addons-0.6-1.fc8, python-peak-rules-0.5a1.dev-0.2569.fc8, python-peak-util-symbols-1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2008-10-09 21:32:40 UTC
python-peak-util-symbols-1.0-1.fc9, python-peak-util-assembler-0.5-1.fc9, python-peak-util-extremes-1.1-1.fc9, python-peak-util-addons-0.6-1.fc9, python-peak-rules-0.5a1.dev-0.2569.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Dan Callaghan 2014-07-15 01:15:54 UTC
Please un-retire the epel7 branch.

Package Change Request
======================
Package Name: python-peak-rules
New Branches: epel7
Owners: dcallagh

Comment 20 Gwyn Ciesla 2014-07-15 12:30:01 UTC
Complete.


Note You need to log in before you can comment on or make changes to this bug.